* Encoding: UTF-8.
/************************************************************************************************************/
/*                                                                                                                                                                               */
/* This SAS program will extract the United States Sentencing Commission's 21 U.S.C.  851          */
/* Enhanced Drug Penalty Fiscal Year 2022 file and create a SAS dataset.                                             */
/*                                                                                                                                                                               */
/* Prior to running the program you must update the DAT file location in the FILNAME line                  */
/* to correspond to the location of the file on your computer.                                                                       */
/*                                                                                                                                                                               */
/* You must also update the library location in the LIBNAME statement to correspond to                     */
/* the folder you want the output file to be located.                                                                                         */
/*                                                                                                                                                                               */
/***********************************************************************************************************/

/* The following line should contain the complete path and name of your raw data file */
/* The last line of this file contains the path to your output '.sav' file */

FILE HANDLE DATA / NAME=".\drug851fy22nid.dat" ENCODING="CP1252" / LRECL=417 .

DATA LIST FILE=DATA/
   USSCIDN 1-7              STMIN851 8-11            STMAX851 12-15        
   DGMIN851 16-19           DGMAX851 20-23           FILED 24              
   WITHDRWN 25              RELIEF 26                CTRELIEF 27           
   CRMHT851 28              INDTDATE 29-39 (DATE)    FILEDATE 40-50 (DATE) 
   PROFFN1 51-53            PROFFN2 54-56            PROFFN3 57-59         
   PROFFN4 60-62            PROFFN5 63-65            PROFFN6 66-68         
   PROFFN7 69-71            PROFFN8 72-74            PROFFN9 75-77         
   PROFFN10 78-80           PROFFN11 81-83           PROFFN12 84-86        
   PROFFN13 87-89           PROFFN14 90-92           PROFFN15 93-95        
   PROFFN16 96-98           PROFFN17 99-101          PROFFN18 102-104      
   PROFFN19 105-107         PRSENT1 108-111          PRSENT2 112-115       
   PRSENT3 116-118          PRSENT4 119-122          PRSENT5 123-125       
   PRSENT6 126-128          PRSENT7 129-132          PRSENT8 133-136       
   PRSENT9 137-140          PRSENT10 141-144         PRSENT11 145-148      
   PRSENT12 149-150         PRSENT13 151-152         PRSENT14 153-154      
   PRSENT15 155-156         PRSENT16 157-160         PRSENT17 161-163      
   PRSENT18 164-166         PRSENT19 167-168         PRSNDT1 169-179 (DATE)
   PRSNDT2 180-190 (DATE)   PRSNDT3 191-201 (DATE)   PRSNDT4 202-212 (DATE)
   PRSNDT5 213-223 (DATE)   PRSNDT6 224-234 (DATE)   PRSNDT7 235-245 (DATE)
   PRSNDT8 246-256 (DATE)   PRSNDT9 257-267 (DATE)   PRSNDT10 268-278 (DATE)
   PRSNDT11 279-289 (DATE)   PRSNDT12 290-300 (DATE)   PRSNDT13 301-311 (DATE)
   PRSNDT14 312-322 (DATE)   PRSNDT15 323-333 (DATE)   PRSNDT16 334-344 (DATE)
   PRSNDT17 345-355 (DATE)   PRSNDT18 356-366 (DATE)   PRSNDT19 367-377 (DATE)
   OFFENNUM 378-379         PRCHPT1 380              PRCHPT2 381           
   PRCHPT3 382              PRCHPT4 383              PRCHPT5 384           
   PRCHPT6 385              PRCHPT7 386              PRCHPT8 387           
   PRCHPT9 388              PRCHPT10 389             PRCHPT11 390          
   PRCHPT12 391             PRCHPT13 392             PRCHPT14 393          
   PRCHPT15 394             PRCHPT16 395             PRCHPT17 396          
   PRCHPT18 397             PRCHPT19 398             PRFELN1 399           
   PRFELN2 400              PRFELN3 401              PRFELN4 402           
   PRFELN5 403              PRFELN6 404              PRFELN7 405           
   PRFELN8 406              PRFELN9 407              PRFELN10 408          
   PRFELN11 409             PRFELN12 410             PRFELN13 411          
   PRFELN14 412             PRFELN15 413             PRFELN16 414          
   PRFELN17 415             PRFELN18 416             PRFELN19 417 .        


SAVE OUTFILE='.\drug851fy22nid.sav'.
